Page MenuHomePhabricator

Improvements for the Toolforge 'webservice' command
Open, MediumPublic

Description

/usr/local/bin/webservice is a Python application used by Toolforge members to start and stop web services for their tools.

There are a number of outstanding bugs and feature requests to make this widely used command nicer:

We are looking for someone who is familiar with Python development to help fix these issues. Familiarity with Toolforge and/or the Wikimedia movement is a plus!

Microtask

Here is a series of things that you can do to become familiar with our tools and demonstrate interest in this project:

  • Create a new Phabricator task that is a subtask of this task titled "GSoC - webservice microtask for <your Phabricator username>"
  • Add a checklist of these steps as the description of the new task:
[] Register for [[https://www.mediawiki.org/wiki/Special:MyLanguage/Developer_access|Developer access]]
[] Read the [[https://www.mediawiki.org/wiki/Special:MyLanguage/Gerrit/Tutorial|Gerrit tutorial]]
[] Clone [[https://gerrit.wikimedia.org/r/#/admin/projects/operations/software/tools-webservice|the project repository from Gerrit]]
[] Read over the source code and try to understand what `scripts/webservice` does when a user runs it as:
* `webservice --backend kubernetes start`
* `webservice --backend kubernetes stop`
[] [[https://www.mediawiki.org/wiki/Gerrit/Tutorial#How_to_submit_a_patch|Submit a patch]] to Gerrit adding a "GSOC-task.<your shell username>.txt" file that describes your understanding of the `webservice --backend kubernetes {start,stop}` commands from the previous step.
[] Add `BryanDavis`, `Madhuvishy`, and `Andrew Bogott` as reviewers for your new Gerrit patch.
  • Claim the new task you created.
  • Do the steps described in the task and mark each step as done "[x]" as you complete it.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2017, 12:05 AM
chasemp triaged this task as Medium priority.Sep 13 2017, 6:28 PM
bd808 updated the task description. (Show Details)Sep 14 2017, 5:19 AM

Hi,
@Andrew
@bd808
@madhuvishy

I am Mridu Bhatnagar. I am a B.tech Computer Science and Engineering graduate(2017). I have done a semester long internship as a python developer with a product based company from January 2017- June 2017. I am looking forward to be a part of Outreachy round 15 with Wikimedia. I am interested in this project and would like to know how should I proceed for the same.

I know Python. And through this project would like to improve upon it. New to the whole concept of web services and kubernetes. But, willing to learn and contribute.

Thanks
Mridu

bd808 updated the task description. (Show Details)Sep 15 2017, 3:17 PM

@Mridu_Bhatnagar hello and welcome!

I have added a microtask to the description of this task that you can work on to show your interest in the project and get some familiarity with our tools and the application code. Please try it out and feel free to ask clarifying questions on the new task you create as part of that microtask or our #wikimedia-cloud freenode IRC channel.

Samtar added a subscriber: Samtar.Sep 15 2017, 3:26 PM
Mridu_Bhatnagar added a comment.EditedSep 15 2017, 5:30 PM

Thanks @bd808 for the revert and microtasks.

Couple of Queries.

1) Create a new Phabricator task that is a subtask of this task titled "GSOC webservvice 
    microtask for <your Phabricator username>"

Shouldn't the task name be Outreachy instead of GSOC. Or the project is part of GSOC as well.

  1. I am having windows 10 as the operating system on my laptop. Would that be a problem in further development and I should switch to Ubuntu? Or is windows fine to work on?
This comment was removed by Mridu_Bhatnagar.

Hi,
@Andrew
@bd808
@madhuvishy
I am Sowjanya. I am interested in participating in this project and have finished the microtask specified. I have already sent the changes for your reviews. Can you please suggest if there is something I need to change. And also, could you please specify some more tasks that would help me in understanding and contributing to this project.

Thank You.

Regards,
Sowjanya.

srishakatux added a subscriber: srishakatux.EditedOct 4 2017, 10:18 PM

This message is for candidates considering to apply to the Outreachy program:

Just making sure that you already know:

  • Deadline for submitting applications is October 23rd. It's good to start working on the application 2-3 weeks before the deadline, that way you might be able to get feedback from your mentors.
  • If you have already completed a microtask, communicated with your mentor about the next steps, and now thinking of working on your application then here is what I recommend:
    • Make sure you've checked whether or not you meet the eligibility criteria listed here https://www.outreachy.org/apply/eligibility/
    • When you start working on the application on the Outreachy program website, fill out the eligibility information first, even if you don't know yet what content should go in other parts of the application. That will allow Outreachy organizers to verify (see point 3 under "How to Apply" section https://www.outreachy.org/apply/).
    • As, you might know that Wikimedia requires you to submit your proposal on Phabricator. Make sure you are well aware of the process to do so (point number 9 under "Application Process Steps" here https://www.mediawiki.org/wiki/Outreachy/Participants).

If you have any questions about the application process, please ask! Good luck working on your applications! :)

bd808 closed this task as Declined.Dec 20 2017, 10:27 PM

This project was not picked up for Round 15. We can try again in Round 16.

@bd808 @madhuvishy @Andrew Would you be willing to mentor this project for Google-Summer-of-Code (2018) or Outreachy (Round-16)? We have started to recruit projects, more here: https://www.mediawiki.org/wiki/Google_Summer_of_Code/2018.

madhuvishy added a comment.EditedFeb 6 2018, 5:07 PM

@srishakatux Yes, we are willing to mentor this for GSoC 2018 or Outreachy Round 16. Let me know if there's anything I need to do on my side to have this up as a project. Thanks :)

@madhuvishy hey thanks! Your project info is up here now: https://www.mediawiki.org/wiki/Google_Summer_of_Code/2018. On Feb 12th, we will know if Wikimedia got accepted into the program, after that, I will follow-up with you on the next steps!

bd808 reopened this task as Open.Feb 13 2018, 4:51 PM
djff added a subscriber: djff.Feb 14 2018, 1:56 PM

Hello, I am Kevin Larry. Currently studying actuarial science and Data science.

I have good knowledge of python and web services and I am willing and able to explore and take on this project.

Looking forward to working and learning from you.

Thanks.

bd808 updated the task description. (Show Details)Feb 18 2018, 4:29 PM

Hello, I am Kevin Larry. Currently studying actuarial science and Data science.
I have good knowledge of python and web services and I am willing and able to explore and take on this project.
Looking forward to working and learning from you.

welcome and thanks for your interest! :-)

djff added a comment.Feb 26 2018, 7:28 AM

welcome and thanks for your interest! :-)

Hello, @aborrero thanks. I was having my exams, hence was off-grid for the past week.

However, I am free and now completing the subtasks. Hoping to learn a lot throughout this process. :)

@djff hello! Glad to hear your interest in applying for GSoC with Wikimedia. However, I would like to warn you to check whether you meet the eligibility criteria much in advance this time. (https://developers.google.com/open-source/gsoc/faq#what_are_the_eligibility_requirements_for_participation). If you end up applying, make sure to provide proof of enrollment on time because we don't want you to end up in the same situation like last time :) If you would like to discuss with me more on this or help gain some clarity, please ping me on the IRC channel #wikimedia-devrel. Thanks!

djff added a comment.Feb 26 2018, 8:45 AM

@srishakatux , Thanks for the reminder, I will get my proof of enrollment this week to avoid any issues during application.

bd808 updated the task description. (Show Details)Mar 11 2018, 1:19 AM

This message is for students interested in working on this project for Google-Summer-of-Code (2018)

  • Student application deadline is March 27 16:00 UTC.
  • If you have questions about eligibility, please read the GSoC rules thoroughly here https://summerofcode.withgoogle.com/rules/. Wikimedia will not be responsible for verifying your eligibility and also not be able to make any decisions on this. For any clarifying questions, please email gsoc-support@google.com
  • Ensure that by now you have already discussed your implementation approach with your mentors, completed a few bugs/microtasks and made a plan to move forward with the proposal
  • I encourage you to start creating your proposals on Phabricator now to receive timely feedback on them from mentors. Do not wait until the last minute. Give your mentors at least a week's time to review your proposal, so that you could then incorporate any suggestions for changes. Learn how to submit a proposal in our participant's guide: https://www.mediawiki.org/wiki/Google_Summer_of_Code/Participants (Step 9)
  • Proposals that contain links to successfully merged patches before the application period and submitted on both Phabricator and GSoC portal will only be considered for the review process. So, between now and the application deadline, you could consider working on this task.
  • If you would like to chat with me more about the process or have questions, come and talk to me in the Zulip chat: https://wikimedia.zulipchat.com/

@bd808
@madhuvishy
@Andrew
Hi!
I am interested in this project for GSoC 2018. I have completed a microtask. I have started writing the proposal. I will try my best to complete this in time.

Just a note for all interested GSOC 2018 candidates: this task will require significant interaction with the cloud-services-team to complete. The software is not easily testable in any local environment and work will need to be done to setup a testing location for any changes. Preference will be given to candidates who are active on the #wikimedia-cloud irc channel. Timezones may make communication difficult/slow as well. All mentors are in US timezones.

bd808 assigned this task to Nehajha.May 1 2018, 3:53 PM

Mentioned in SAL (#wikimedia-cloud) [2018-05-02T20:37:52Z] <bd808> Added Neha16 as a project admin for work on T175768

ping @Andrew @Nehajha You might want to resolve this task and move the leftover items in a new task. If you would like to showcase the project in another round, then add Outreach-Programs-Projects tag to the new task.

Consider resolving T190638 if there isn't any work remaining from GSoC'18 and there are no pull requests remaining to be merged and deployed in production and documentation both on-wiki and in the code is complete.

Removing Outreachy and GSoC tags for now. We may bring this back for a future round.

GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:11 PM